> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.labelediteventhandler.md).

# LabelEditEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that handles the [BeforeLabelEdit](/api/wisej.web/lists-and-grids/listview.md#beforelabeledit) and [AfterLabelEdit](/api/wisej.web/lists-and-grids/listview.md#afterlabeledit) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void LabelEditEventHandler(Object sender, LabelEditEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub LabelEditEventHandler(ByVal sender As [Object], ByVal e As LabelEditEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                          | Description                                                                                                                   |
| ---------- | --------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                 | The source of the event.                                                                                                      |
| **e**      | [LabelEditEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.labelediteventargs.md) | A [LabelEditEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.labelediteventargs.md) that contains the event data. |

## Fired By

| Name                                                                                   | Description                                              |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| [ListView.AfterLabelEdit](/api/wisej.web/lists-and-grids/listview.md#afterlabeledit)   | Fired when the label for an item is edited by the user.  |
| [ListView.BeforeLabelEdit](/api/wisej.web/lists-and-grids/listview.md#beforelabeledit) | Fired when the user starts editing the label of an item. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.labelediteventhandler.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
